# Record Class ARI1JParameterDescriptionReal

java.lang.Object
java.lang.Record
com.io7m.aradine.instrument.spi1.json_data.internal.ARI1JParameterDescriptionReal

Record Components:
  `number` - The parameter ID
  `label` - The parameter label
  `documentation` - The parameter documentation
  `unitOfMeasurement` - The unit of measurement for the parameter
  `valueMinimum` - The minimum value (inclusive)
  `valueMaximum` - The maximum value (inclusive)
  `valueDefault` - The default value

All Implemented Interfaces:
  `ARI1JElementType, ARI1JParameterDescriptionType`

public record ARI1JParameterDescriptionReal(ARI1JParameterNumber number, String label, Optional<ARI1JDocumentation> documentation, ARI1JDottedName unitOfMeasurement, double valueMinimum, double valueMaximum, double valueDefault) extends Record implements ARI1JParameterDescriptionType, ARI1JElementType

A real-typed parameter description.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ARI1JParameterDescriptionReal(ARI1JParameterNumber number, String label, Optional<ARI1JDocumentation> documentation, ARI1JDottedName unitOfMeasurement, double valueMinimum, double valueMaximum, double valueDefault)`
  A real-typed parameter description.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Optional<ARI1JDocumentation>`
  `documentation()`
  Returns the value of the `documentation` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `label()`
  Returns the value of the `label` record component.
  `ARI1JParameterNumber`
  `number()`
  Returns the value of the `number` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `ARI1JDottedName`
  `unitOfMeasurement()`
  Returns the value of the `unitOfMeasurement` record component.
  `double`
  `valueDefault()`
  Returns the value of the `valueDefault` record component.
  `double`
  `valueMaximum()`
  Returns the value of the `valueMaximum` record component.
  `double`
  `valueMinimum()`
  Returns the value of the `valueMinimum` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ARI1JParameterDescriptionReal

    public ARI1JParameterDescriptionReal(ARI1JParameterNumber number, String label, Optional<ARI1JDocumentation> documentation, ARI1JDottedName unitOfMeasurement, double valueMinimum, double valueMaximum, double valueDefault)

    A real-typed parameter description.

    Parameters:
      `number` - The parameter ID
      `label` - The parameter label
      `documentation` - The parameter documentation
      `unitOfMeasurement` - The unit of measurement for the parameter
      `valueMinimum` - The minimum value (inclusive)
      `valueMaximum` - The maximum value (inclusive)
      `valueDefault` - The default value

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### number

    public ARI1JParameterNumber number()
    Returns the value of the `number` record component.
    Specified by:
      `number` in interface `ARI1JParameterDescriptionType`
    Returns:
      the value of the `number` record component

  - ### label

    public String label()
    Returns the value of the `label` record component.
    Specified by:
      `label` in interface `ARI1JParameterDescriptionType`
    Returns:
      the value of the `label` record component

  - ### documentation

    public Optional<ARI1JDocumentation> documentation()
    Returns the value of the `documentation` record component.
    Returns:
      the value of the `documentation` record component

  - ### unitOfMeasurement

    public ARI1JDottedName unitOfMeasurement()
    Returns the value of the `unitOfMeasurement` record component.
    Returns:
      the value of the `unitOfMeasurement` record component

  - ### valueMinimum

    public double valueMinimum()
    Returns the value of the `valueMinimum` record component.
    Returns:
      the value of the `valueMinimum` record component

  - ### valueMaximum

    public double valueMaximum()
    Returns the value of the `valueMaximum` record component.
    Returns:
      the value of the `valueMaximum` record component

  - ### valueDefault

    public double valueDefault()
    Returns the value of the `valueDefault` record component.
    Returns:
      the value of the `valueDefault` record component